## org.codehaus.groovy.grails.validation
Interface CascadingValidator

All Superinterfaces:
  Validator

All Known Implementing Classes:
  GrailsDomainClassValidator, HibernateDomainClassValidator

    public interface CascadingValidator

extends Validator

Extends the default Spring Validator interface and provides an additional method that specifies whether validation should cascade into associations

Since:
  0.5

  Created: Apr 13, 2007 Time: 3:29:39 PM
Author:
  Graeme Rocher

Method Summary
`void` `validate(Object obj, Errors errors, boolean cascade)` An extended version of the validate(errors,obj) method that takes an additional argument specifying whether the Validator should cascade into associations or not

Methods inherited from interface org.springframework.validation.Validator
`supports, validate`

Method Detail

### validate

    void validate(Object obj,
                  Errors errors,
                  boolean cascade)

  An extended version of the validate(errors,obj) method that takes an additional argument specifying whether the Validator should cascade into associations or not

  Parameters:
    `obj` - The Object to validate
    `errors` - The Spring Errors instance
    `cascade` - True if validation should cascade into associations
  See Also:
    `Errors`, `Validator`, `Validator.validate(Object, org.springframework.validation.Errors)`

Copyright (c) 2005-2009 The Grails project